Foxit PDF SDK

Public Member Functions | Protected Member Functions | List of all members
foxit::addon::pageeditor::ParagraphEditingProviderCallback Class Referenceabstract

## Public Member Functions
virtual void | AddUndoItem (const ParagraphEditingUndoItem &undo_item)=0
| A callback function used to notify the page to add undo operation. More...
virtual RectF | GetClientRect (const pdf::PDFDoc &document)=0
| A callback function to get the client rectangle in device coordinate system. More...
virtual int | GetCurrentPageIndex (const pdf::PDFDoc &document)=0
| A callback function used to get current page index. More...
virtual foxit::RectF | GetPageRect (const pdf::PDFDoc &document, int page_index)=0
| A callback function used to get page rectangle in device coordinate system. More...
virtual void * | GetPageViewHandle (const pdf::PDFDoc &document, int page_index)=0
| A callback function to get the page view window handle. More...
virtual RectF | GetPageVisibleRect (const pdf::PDFDoc &document, int page_index)=0
| A callback function used to get visible page rectangle in device coordinate system. More...
virtual Matrix | GetRenderMatrix (const pdf::PDFDoc &document, int page_index)=0
| A callback function to get the render matrix. More...
virtual common::Rotation | GetRotation (const pdf::PDFDoc &document, int page_index)=0
| A callback function used to get the page view rotate. More...
virtual float | GetScale (const pdf::PDFDoc &document, int page_index)=0
| A callback function to get the scale of page. More...
virtual Int32Array | GetVisiblePageIndexArray (const pdf::PDFDoc &document)=0
| A callback function used to get visible page indexes. More...
virtual bool | GotoPageView (const pdf::PDFDoc &document, int page_index, float left, float top)=0
| A callback function to go to page view. More...
virtual void | InvalidateRect (const pdf::PDFDoc &document, int page_index, const RectFArray &invalid_rects)=0
| A callback function used to invalidate page rectangle. More...
virtual void | NotifyTextInputReachLimit (const pdf::PDFDoc &document, int page_index)=0
| A callback function used to notify text input reach limit. More...
virtual void | Release ()=0
| A callback function used to release current callback object itself. More...
virtual void | SetDocChangeMark (const pdf::PDFDoc &document)=0
| A callback function used to notify the document have changed. More...

## Protected Member Functions
virtual | ~ParagraphEditingProviderCallback ()
| Destructor.

## Detailed Description

This class represents a callback object for paragraph edit provider. All the pure virtual functions in this class are used as callback functions and should be implemented by user.

## Member Function Documentation

## ◆ AddUndoItem()

virtual void foxit::addon::pageeditor::ParagraphEditingProviderCallback::AddUndoItem | ( | const ParagraphEditingUndoItem & | undo_item | ) |
| pure virtual

A callback function used to notify the page to add undo operation.

Parameters

  [in] | undo_item | The undo item object.

Returns
  None.

## ◆ GetClientRect()

virtual RectF foxit::addon::pageeditor::ParagraphEditingProviderCallback::GetClientRect | ( | const pdf::PDFDoc & | document | ) |
| pure virtual

A callback function to get the client rectangle in device coordinate system.

Returns
  The client rectangle.

## ◆ GetCurrentPageIndex()

virtual int foxit::addon::pageeditor::ParagraphEditingProviderCallback::GetCurrentPageIndex | ( | const pdf::PDFDoc & | document | ) |
| pure virtual

A callback function used to get current page index.

Returns
  The page index.

## ◆ GetPageRect()

virtual foxit::RectF foxit::addon::pageeditor::ParagraphEditingProviderCallback::GetPageRect | ( | const pdf::PDFDoc & | document,
|  | int | page_index
| ) |  |
| pure virtual

A callback function used to get page rectangle in device coordinate system.

Parameters

  [in] | page_index | The page index.

Returns
  The page rectangle.

## ◆ GetPageViewHandle()

virtual void* foxit::addon::pageeditor::ParagraphEditingProviderCallback::GetPageViewHandle | ( | const pdf::PDFDoc & | document,
|  | int | page_index
| ) |  |
| pure virtual

A callback function to get the page view window handle.

Parameters

  [in] | page_index | The page index.

Returns
  The page view window handle.

## ◆ GetPageVisibleRect()

virtual RectF foxit::addon::pageeditor::ParagraphEditingProviderCallback::GetPageVisibleRect | ( | const pdf::PDFDoc & | document,
|  | int | page_index
| ) |  |
| pure virtual

A callback function used to get visible page rectangle in device coordinate system.

Parameters

  [in] | page_index | The page index.

Returns
  The page visble rectangle.

## ◆ GetRenderMatrix()

virtual Matrix foxit::addon::pageeditor::ParagraphEditingProviderCallback::GetRenderMatrix | ( | const pdf::PDFDoc & | document,
|  | int | page_index
| ) |  |
| pure virtual

A callback function to get the render matrix.

Parameters

  [in] | page_index | The page index.

Returns
  The matrix.

## ◆ GetRotation()

virtual common::Rotation foxit::addon::pageeditor::ParagraphEditingProviderCallback::GetRotation | ( | const pdf::PDFDoc & | document,
|  | int | page_index
| ) |  |
| pure virtual

A callback function used to get the page view rotate.

Parameters

  [in] | page_index | The page index.

Returns
  The indent value.

## ◆ GetScale()

virtual float foxit::addon::pageeditor::ParagraphEditingProviderCallback::GetScale | ( | const pdf::PDFDoc & | document,
|  | int | page_index
| ) |  |
| pure virtual

A callback function to get the scale of page.

Parameters

  [in] | page_index | The page index.

Returns
  The scale value. The returned value should be greater than 0.

## ◆ GetVisiblePageIndexArray()

virtual Int32Array foxit::addon::pageeditor::ParagraphEditingProviderCallback::GetVisiblePageIndexArray | ( | const pdf::PDFDoc & | document | ) |
| pure virtual

A callback function used to get visible page indexes.

Returns
  The visble page index array.

## ◆ GotoPageView()

virtual bool foxit::addon::pageeditor::ParagraphEditingProviderCallback::GotoPageView | ( | const pdf::PDFDoc & | document,
|  | int | page_index,
|  | float | left,
|  | float | top
| ) |  |
| pure virtual

A callback function to go to page view.

Parameters

  [in] | page_index | The page index.
  [in] | left | The left point where left mouse button is up in the page, in PDF coordinate system.
  [in] | top | The top point where left mouse button is up in the page, in PDF coordinate system.

Returns
  true means successful, while false means not.

## ◆ InvalidateRect()

virtual void foxit::addon::pageeditor::ParagraphEditingProviderCallback::InvalidateRect | ( | const pdf::PDFDoc & | document,
|  | int | page_index,
|  | const RectFArray & | invalid_rects
| ) |  |
| pure virtual

A callback function used to invalidate page rectangle.

Parameters

  [in] | page_index | The page index.
  [in] | rects | The invalid areas. The rectangle in invalid_rects is in device coordinate system.

Returns
  None.

## ◆ NotifyTextInputReachLimit()

virtual void foxit::addon::pageeditor::ParagraphEditingProviderCallback::NotifyTextInputReachLimit | ( | const pdf::PDFDoc & | document,
|  | int | page_index
| ) |  |
| pure virtual

A callback function used to notify text input reach limit.

Parameters

  [in] | page_index | The page index.

Returns
  None.

## ◆ Release()

virtual void foxit::addon::pageeditor::ParagraphEditingProviderCallback::Release | ( |  | ) |
| pure virtual

A callback function used to release current callback object itself.

Returns
  None.

## ◆ SetDocChangeMark()

virtual void foxit::addon::pageeditor::ParagraphEditingProviderCallback::SetDocChangeMark | ( | const pdf::PDFDoc & | document | ) |
| pure virtual

A callback function used to notify the document have changed.

Parameters

  [in] | document | The valid pdf document.

Returns
  None.